Package ru.bitel.oss.kernel.directories.address.common.bean

# Class AddressEntityData

java.lang.Object
ru.bitel.oss.kernel.directories.address.common.bean.AddressEntityData

public class AddressEntityData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressEntityData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntityParameter(String key, String value)`
  `AddressEntityType`
  `getAddressEntityType()`
  `List<AddressEntityParam>`
  `getConfigParams()`
  `String`
  `getEntityParameter(String key)`
  `Map<String,String>`
  `getEntityParams()`
  `int`
  `getParentId()`
  `int`
  `getRecordId()`
  `String`
  `getTitle()`
  `String`
  `getTitlePrefix()`
  `String`
  `getTitleSuffix()`
  `void`
  `setAddressEntityType(AddressEntityType addressEntityType)`
  `void`
  `setConfigParams(List<AddressEntityParam> params)`
  `void`
  `setEntityParams(Map<String,String> entityParams)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setRecordId(int recordId)`
  `void`
  `setTitle(String title)`
  `void`
  `setTitlePrefix(String titlePrefix)`
  `void`
  `setTitleSuffix(String titleSuffix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressEntityData

    public AddressEntityData()

- ## Method Details

  - ### getAddressEntityType

    public AddressEntityType getAddressEntityType()

  - ### getConfigParams

    public List<AddressEntityParam> getConfigParams()

  - ### getEntityParams

    public Map<String,String> getEntityParams()

  - ### setEntityParams

    public void setEntityParams(Map<String,String> entityParams)

  - ### getEntityParameter

    public String getEntityParameter(String key)

  - ### addEntityParameter

    public void addEntityParameter(String key, String value)

  - ### getParentId

    public int getParentId()

  - ### getRecordId

    public int getRecordId()

  - ### getTitlePrefix

    public String getTitlePrefix()

  - ### getTitle

    public String getTitle()

  - ### getTitleSuffix

    public String getTitleSuffix()

  - ### setAddressEntityType

    public void setAddressEntityType(AddressEntityType addressEntityType)

  - ### setConfigParams

    public void setConfigParams(List<AddressEntityParam> params)

  - ### setParentId

    public void setParentId(int parentId)

  - ### setRecordId

    public void setRecordId(int recordId)

  - ### setTitlePrefix

    public void setTitlePrefix(String titlePrefix)

  - ### setTitle

    public void setTitle(String title)

  - ### setTitleSuffix

    public void setTitleSuffix(String titleSuffix)